%define module	watchdog

Name:		python-%{module}
Version:	6.0.0
Release:	%mkrel 3
Summary:	File system events monitoring
Group:		Development/Python
License:	ASL 2.0 and BSD and MIT
URL:		https://pypi.python.org/pypi/watchdog
Source0:	https://pypi.io/packages/source/w/%{module}/%{module}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	pyproject-rpm-macros

%description
A Python API and shell utilities to monitor file system events.

%package -n	python3-%{module}
Summary:	File system events monitoring
Group:		Development/Python
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
%{?python_provide:%python_provide python3-%{module}}

%description -n	python3-%{module}
A Python 3 API and shell utilities to monitor file system events.

%prep
%setup -q -n %{module}-%{version}

# Remove all shebangs
find src -name "*.py" | xargs sed -i -e '/^#!\//, 1d'

# Remove +x of the README file
chmod -x README.rst

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{module}

%files -n python3-%{module} -f %{pyproject_files}
%doc README.rst
%license LICENSE
%{_bindir}/watchmedo


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 6.0.0-3.mga10
+ Revision: 2239273
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 6.0.0-2.mga10
+ Revision: 2156309
- rebuild for python3.13

* Tue Nov 26 2024 daviddavid <daviddavid> 6.0.0-1.mga10
+ Revision: 2119002
- new version: 6.0.0

* Sat Sep 14 2024 daviddavid <daviddavid> 5.0.2-1.mga10
+ Revision: 2095981
- new version: 5.0.2

* Tue Sep 03 2024 daviddavid <daviddavid> 5.0.0-1.mga10
+ Revision: 2092920
- new version: 5.0.0

* Fri May 31 2024 daviddavid <daviddavid> 4.0.1-1.mga10
+ Revision: 2068953
- new version: 4.0.1

* Sun Feb 18 2024 daviddavid <daviddavid> 4.0.0-1.mga10
+ Revision: 2042327
- new version: 4.0.0

* Thu Dec 21 2023 joequant <joequant> 3.0.0-2.mga10
+ Revision: 2020578
- rebuild with py3.2

* Wed Aug 30 2023 daviddavid <daviddavid> 3.0.0-1.mga10
+ Revision: 1981859
- new version: 3.0.0
- switch to pyproject

* Sun Jan 08 2023 daviddavid <daviddavid> 2.2.1-1.mga9
+ Revision: 1931614
- new version: 2.2.1

* Tue Aug 23 2022 papoteur <papoteur> 2.1.9-1.mga9
+ Revision: 1879729
- new 2.1.9

* Wed Mar 23 2022 umeabot <umeabot> 2.1.6-2.mga9
+ Revision: 1822272
- Mageia 9 Mass Rebuild

* Fri Feb 11 2022 wally <wally> 2.1.6-1.mga9
+ Revision: 1772923
- new version 2.1.6
- rebuild for python3.10

* Sun Mar 21 2021 daviddavid <daviddavid> 2.0.2-2.mga9
+ Revision: 1706976
- rebuild for python 3.9

* Tue Mar 02 2021 daviddavid <daviddavid> 2.0.2-1.mga9
+ Revision: 1695776
- new version: 2.0.2

* Fri Feb 26 2021 daviddavid <daviddavid> 1.0.2-1.mga9
+ Revision: 1691688
- new version: 1.0.2

* Tue Jan 12 2021 daviddavid <daviddavid> 0.10.3-2.mga8
+ Revision: 1671241
- obsolete old python2-watchdog

* Tue Jul 14 2020 daviddavid <daviddavid> 0.10.3-1.mga8
+ Revision: 1605927
- new version: 0.10.3

* Thu Feb 20 2020 umeabot <umeabot> 0.10.2-2.mga8
+ Revision: 1546504
- Mageia 8 Mass Rebuild

* Tue Feb 18 2020 daviddavid <daviddavid> 0.10.2-1.mga8
+ Revision: 1541948
- new version: 0.10.2

* Mon Feb 03 2020 daviddavid <daviddavid> 0.10.1-1.mga8
+ Revision: 1486591
- new version: 0.10.1

* Tue Jan 28 2020 daviddavid <daviddavid> 0.10.0-1.mga8
+ Revision: 1484632
- new version: 0.10.0

* Sun Sep 15 2019 daviddavid <daviddavid> 0.9.0-3.mga8
+ Revision: 1441661
- rebuild for python3.8
- drop python2 support

* Tue Jan 08 2019 tv <tv> 0.9.0-2.mga7
+ Revision: 1352383
- rebuild with python 3.7

* Wed Oct 10 2018 daviddavid <daviddavid> 0.9.0-1.mga7
+ Revision: 1319191
- new version: 0.9.0
- rename python-watchdog to python2-watchdog

* Fri Sep 21 2018 umeabot <umeabot> 0.8.3-3.mga7
+ Revision: 1290557
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 0.8.3-2.mga7
+ Revision: 1135686
- Rebuild for python 3.6

* Sun Apr 10 2016 daviddavid <daviddavid> 0.8.3-1.mga6
+ Revision: 1000091
- imported package python-watchdog

